Notification Signals

Signals:

- displaying-userinfo
- displaying-email-notification
- displaying-emails-notification

See also
  notify.h

# displaying-userinfo

void (*displaying_userinfo)(PurpleAccount *account, const char *who, PurpleNotifyUserInfo *user_info);

Description:
  Emitted before userinfo is handed to the UI to display. user_info can be manipulated via the PurpleNotifyUserInfo API in notify.c.

Note
  If adding a PurpleNotifyUserInfoEntry, be sure not to free it – PurpleNotifyUserInfo assumes responsibility for its objects.

Parameters

  account | The account on which the info was obtained.
  who | The name of the buddy whose info is to be displayed.
  user_info | The information to be displayed, as PurpleNotifyUserInfoEntry objects

# displaying-email-notification

void (*displaying_email_notification)(const char *subject,
const char *from,
const char *to,
const char *url);

Description:
  Emitted before notification of a single email is handed to the UI to display.

Parameters

  subject | Subject of email being notified of.
  from | Who the email is from.
  to | Who the email is to.
  url | A url to view the email.

Since
  2.1.0

# displaying-emails-notification

void (*displaying_emails_notification)(const char **subjects,
const char **froms,
const char **tos,
const char **urls,
guint count);

Description:
  Emitted before notification of multiple emails is handed to the UI to display.

Parameters

  subjects | Subjects of emails being notified of.
  froms | Who the emails are from.
  tos | Who the emails are to.
  urls | The urls to view the emails.
  count | Number of emails being notified of.

Since
  2.1.0